{
    num: -501,
    accuracy: true,
    basePower: 0,
    category: "Status",
    name: "Blaze Out",
    pp: 10,
    priority: 0,
    flags: { protect: 1, mirror: 1, metronome: 1 },
    weather: "sunnyday",
    durationCallback(source) {
        return source?.hasItem?.("heatrock") ? 8 : 5;
    },
    selfSwitch: true,
    target: "self",
    type: "Fire",
    contestType: "Beautiful"
}
